
Infrastructure - Task #878

Story # 908 (Closed): Clean up monitoring infrastructure

Refactor mn-health monitoring script to more generalized form

2010-09-21 21:03 - Rob Nahf

Status: Rejected Start date: 2010-10-07

Priority: High Due date:  

Assignee: Rob Nahf % Done: 0%

Category: d1_monitor Estimated time: 0.00 hour

Target version:    

Milestone: None Story Points:  

Product Version: *   

Description

The current script is inefficient, and has specific operation types that it can query for.  Should rebuild it so that the operationType

being queried for through the API is a command line parameter (with predicable output field names)  This would allow us to monitor

updates and deletes without the need for more hard coding.  Also, it would allow the script to make a subset of calls to the target

node, rather than redundantly querying the node.

History

#1 - 2010-10-06 06:08 - Matthew Jones

- Parent task set to #908

#2 - 2010-10-07 12:28 - Dave Vieglais

- Tracker changed from Bug to Task

- Start date set to 2010-10-07

#3 - 2012-10-16 19:51 - Rob Nahf

- Status changed from New to Rejected

- translation missing: en.field_remaining_hours set to 0.0

- Milestone set to None

we moved away from cacti
